Pytrack+Lopy board not detected with last Pytrack lib. version



  • Hello!
    The last days I've been working with a Pytrack GPS sending latitude and longitude to a iC880a gateway. It works really well. Today I update the pytrack library from github (updated 12 days ago).. and work with the command line:

    from pytrack import Pytrack
    py = Pytrack()

    The module give me an error "Pytrack board not detected" Error in 101 line of the library.. I try to update the board with DFU file and the error persist.

    Lopy information:

    (sysname='LoPy', nodename='LoPy', release='1.9.2.b2', version='v1.8.6-796-g489fafa0 on 2017-10-15', machine='LoPy with ESP32', lorawan='1.0.0')

    Whats about with the new pytrack file?



  • ouch... In Pycom's webpage, the last version of DFU that is writen is pytrack_0.0.4.dfu and I do not download because it's the version that I have now:

    "The latest firmware is v0.0.4. The DFU file can be downloaded from the links below:"

    But, if open the link, the version is 0.0.6.... Sorry, it's my fault! Works again!



  • @rloro338 hi, you have to update also the pytrack shield! With the new dfu Software!



Pycom on Twitter

Looks like your connection to Pycom Forum was lost, please wait while we try to reconnect.